;$Id: clearwcr.pro,v 1.5 2003/12/23 22:15:43 haimov Exp $
;+
; NAME:
;       CLEARWCR
;
; PURPOSE:
;       Initilize wcr common blocks, wcrparams and wcrdata
;
; CATEGORY:
;       wcrtools
;
; CALLING SEQUENCE:
;       CLEARWCR
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;       HELP:  Show this text
;
; OUTPUTS:
;
; COMMON BLOCKS:
;       wcrparams, wcrdata 
;
; SIDE EFFECTS:
;
; EXAMPLES:
;
;-
; MODIFICATION HISTORY:
;       Written by:  Samuel Haimov, May 1999
;       S.H., Jan 00 -- added help keyword
;       S.H., Feb 01 -- changed routine name from clearvxi to clearwcr
;       S.H., Feb 02 -- added basetime and noiseflag
;       S.H., Apr 02 -- added filehdrsz, acqtime and irigflag
;
; Copyright (C) 1996-2003, Samuel Haimov, Dept. of Atmos. Sci., University of 
; Wyoming.  This software may be used, copied, or redistributed as long as it 
; is not sold and this copyright notice is reproduced on each copy made. This
; routine is provided as is without any expressed or implied warranties
; whatsoever.  Other limitations apply as described in the Readme file.

pro clearwcr,help=help

on_error,2

common wcrparams
common wcrdata

if keyword_set(help) then begin
  doc_library,'clearwcr'
  return
endif

; Initilize wcrparams common block

acqtime              =-1.
alg                  =-1
aspectratio          =-1
averages             =-1

datablocksize        =-1L
datarate             =-1.
dftalg               =-1
dspsync              =-999.

fftalg               =-1
fftbins              =-1
fftwindow            =-1
filehdrsz            =-1L
fileidstr            =''
filenamel            =-1
fstblocknum          =-1L

headersize           =-1

irigflag             =-1
iffilter             =-1.
interrupts           =-1

kaspeed              =-1.

lambda               =-1.
lstblocknum          =-1L

maxvel               =-1.

noisesamples         =-1
npulse               =-1
numrec               =-1L

polh                 =-1
polv                 =-1
pp4alg               =-1
pp6alg               =-1
ppstrpol             =''
prf                  =-1.
pulselength          =-1

rangegates           =-1
rangegatedelay       =-1.
rangegatespacing     =-1.
rxsequence           =-1

sppalg               =-1
starttime            =''
stoptime             =''

tcorrection          =-999.
timeinterval         =-1.
timelength           =-1.
timemode             =-1 
tnumrec              =-1L
txsequence           =-1
txstrpol             =''

wcrdate              =''
wcrfile              =''
wcrflag              =-999
noiseflag            = 0

; Initilize wcrdata common block

vvnoise              =-999.
hhnoise              =-999.
ppnoise              =-999.
fftnoise             =-999.

vvtx                 =-999.
hhtx                 =-999.
vvlk                 =-999.
hhlk                 =-999.
pptx                 =-999.
ffttx                =-999.

hh                   =-999.
vv                   =-999.
vh                   =-999.
hv                   =-999.
pp                   =-999.
fftps                =-999.

time                 =-999.
prof                 =-999.
basetime             =-999
begtime              =''
endtime              =''
radrng               =-999.
velo                 =-999.
hcorrection          =-999
vcorrection          =-999

end
