pro wcrddacdisp,wcrddd,acddd,acstats,ddbreak=ddbreak
;+
; This routine is not stand alone and is used by wcrddgrid0.pro
; and wcrddgrid1.pro as part of the WCR airborne Dual-Doppler
; analysis package wcrdd.pro.
;-
  on_error,2
  
  window,/free
  plot,wcrddd.time mod 86400.,Acddd.theta/!dtor, $
   title='PITCH and BANK angles and YAW w.r.t. average HDG, HDGV [deg]',$
   xtitle='TIME UTC',linestyle=0,ytitle='Pitch [-] Phi [-.-]',ystyle=8, $
   xstyle=5,xmargin=[10,10],yrange=[min([acstats.roll[2]*!radeg, $
   acstats.pitch[2]*!radeg]),max([acstats.roll[3]*!radeg, $
   acstats.pitch[3]*!radeg])]

  oplot,wcrddd.time mod 86400.,Acddd.phi/!pi*180.,linestyle=3

  axis,yaxis=1,ystyle=1,/save,ytitle='YAW [---]    ~beta2 [....]',$
   yrange=[min([acstats.yaw2[2]*!radeg,acstats.yaw2v[2]*!radeg]), $
   max([acstats.yaw2[3]*!radeg,acstats.yaw2v[3]*!radeg])]

  oplot,wcrddd.time mod 86400.,(fixang(Acddd.psi,/rad)-acstats.hdg)*!radeg, $
   linestyle=2 ;to put on the right y-axis

  oplot,wcrddd.time mod 86400.,(fixang(Acddd.psi,/rad)-acstats.hdgv)*!radeg,$
   linestyle=1 ;this is beta2 w.r.t. to avg_vhdg
  timeaxis

  window,/free
  plot,acddd.lon,acddd.lat,title='GROUND TRACK',xtitle='LON [deg]', $
   ytitle='LAT [deg]',ystyle=1

  if keyword_set(ddbreak) then begin
    ; Prepare and display table for acstats
    cs0 =';#'                        ; beginning comment string id
    cs1 ='#;'                        ; ending comment string id
    cs2 =strjoin(replicate('#',76))  ; major comment separator
    cs3 =strjoin(replicate('.',76))  ; minor comment separator

    actags =tag_names(acstats)
    fstr1  =strarr(6+n_elements(actags))

    fstr1[0]=cs0+cs2+cs1
    fstr1[1]='AIRCRAFT_ATTITUDE_STATISTICS'
    junk1   =(76-strlen(fstr1[1]))/2
    junk2   =junk1-(strlen(fstr1[1]) mod 2)
    fstr1[1]=cs0+string(bytarr(junk1)+32B)+fstr1[1]+string(bytarr(junk1)+32B)+cs1
    fstr1[2]=cs0+cs3+cs1
    junk3   ='                     MEAN[deg]  STD[deg]  MIN[deg]  MAX[deg]'
    fstr1[3]=cs0+junk3+string(bytarr(16)+32B)+cs1
    fstr1[4]=cs0+cs3+cs1
    for k=0,n_elements(actags)-1 do begin
      junk1=string(bytarr((4-n_elements(acstats.(k)))*10+18)+32B)
      junk2=strjoin(num2str(!radeg*acstats.(k),len=10,fr=2))
      junk3=stradj(actags[k],len=18,adj=1)
      fstr1[k+5]=cs0+junk3+junk2+junk1+cs1
    endfor
    fstr1[5+n_elements(actags)]=cs0+cs2+cs1

    print,fstr1
  endif

end
