;$Id: wcrzoomrange.pro,v 1.3 2003/12/23 22:15:43 haimov Exp $
;+
; NAME:
;       WCRZOOMRANGE
;
; PURPOSE:
;       Return indices of the requested range gates
;
; CATEGORY:
;       wcrtools
;
; CALLING SEQUENCE:
;       result=WCRZOOMRANGE(Zoom)
;
; INPUTS:
;       Zoom:  [ readmode, str, stp ]
;              readmode: 0  - str/stp, start/stop range gate (0 to rangegates-1)
;                        1  - str/stp, start/stop range in [m]
;       Help:  Show this text
;
; KEYWORD PARAMETERS:
;
; COMMON BLOCKS:
;       wcrparams, wcrdata 
;-
; MODIFICATION HISTORY:
;       Written by:  Samuel Haimov, November 1995
;       S.H., Aug 99 -- modified help info and other minor changes
;       S.H., Jan 00 -- added help keyword
;       S.H., Feb 01 -- changed routine name from zoomrange to wcrzoomrange
;
; Copyright (C) 1996-2003, Samuel Haimov, Dept. of Atmos. Sci., University of 
; Wyoming.  This software may be used, copied, or redistributed as long as it 
; is not sold and this copyright notice is reproduced on each copy made. This
; routine is provided as is without any expressed or implied warranties
; whatsoever.  Other limitations apply as described in the Readme file.
;

function wcrzoomrange, zoom, help=help

common wcrparams
common wcrdata

on_error,2

if keyword_set(help) then begin
  doc_library,'wcrzoomrange'
  return,''
endif

nrng=n_elements(radrng)-1

; Check input

  if (n_elements(zoom) eq 1) then begin
     readmode = 0
     str = zoom(0)
     stp = nrng
  endif else $
  if (n_elements(zoom) eq 2) then begin
     readmode = 0
     str = zoom(0)
     stp = zoom(1)
  endif else begin
     readmode = zoom(0)
     str = zoom(1)
     stp = zoom(2)
  endelse

  if (zoom(0) ne 0 and zoom(0) ne 1) then message, 'Wrong input !' 

  if (zoom(0) eq 0) then $
     if (zoom(2)-zoom(1)+1 le 1 or zoom(1) lt 0 or zoom(2) gt nrng) then $
        message,'Wrong start/stop range number(s) or zoom(2)-zoom(1)<=1 !' $
  else $
  if (zoom(0) eq 1) then $ 
     if (zoom(1) lt radrng(0) or zoom(2) gt radrng(nrng)) then $ 
        message,'Incorrect start/stop range(s) !' 

; Process ranges

  if (zoom(0) eq 0) then $
     return, indgen(stp-str+1)+str $
  else $
     return, where(radrng ge str and radrng le stp) 

end     
